Foniatr - Feature #276

Bug # 273 (New): Stav k 21-10-2015 seznam probblemu k doreseni, deleni dle priority
Moznost delat test po castech

13 November 2015 21:56 - Tomas Kulhanek

Status: In Progress Start date: 13 November 2015
Priority: Normal Due date:

Assignee: Tomas Kulhanek % Done: 90%

Category: HTMLS5 client Estimated time: 0.00 hour

Target version: Psychotest2 Spent time: 8.00 hours
Description

Napr po 10 stimulech prerusit ulozit vysledek, pak pokracovat

History

#1 - 17 December 2015 15:16 - Tomas Kulhanek
- Category set to HTML5 client
- Status changed from New to In Progress

- % Done changed from 0 to 80

Pridana moznost prerusit test tlacitkem "PAUSE".

Nalogovanemu uzivateli se krome seznamu dostupnych testu zobrazi i seznam pausnutych testu s cislem aktualni obrazovky v zavorce.

- Ize spustit, spusti se od obrazovky kde skoncil
- muze se znovu pausnout, aktualizuje se nova pozice a odpovedi v testu.

- pri dokonceni testu -> vysledky se ulozi do tabulky vysledku a pauznute se smazou, nelze priste vybrat.

K dodelani
- klicove slovo definujici pocet obrazovek po kterych se povinne test pauzne pro uzivatele

- vycet obrazovek, ktere se uzivateli znovu zobrazi predtim, nez se test obnovi.

#2 - 22 December 2015 12:33 - Tomas Kulhanek
- % Done changed from 80 to 90

- nezalogovany uzivatel dostane URL, ktere si musi uchovat, pokud na ne v budoucnu klikne, pak se test obnovi

- zalogovany uzivatel dostane URL, navic v seznamu testu se mu na zacatku zobrazi i seznam pauznutych testu

Co dodelat:
- administrator testu muze zobrazit pausnute testy, ktere nekdo nedodelal, zobrazit a poslat URL

- pridat klicove slovo pro konfiguraci testu, povinna pauza napr po 10 nebo k obrazovkach + definovat cisla obrazovek (zahrivacich) po obnoveni.

#3 - 22 December 2015 14:33 - Tomas Kulhanek

- administrator testu muze zobrazit pausnute testy, ktere nekdo nedodelal, zobrazit a poslat URL
Reorganizace editoru:

1. tab seznamy s testy, skupiny stimulu, projekty a seznamem pauznutych testu s URL - Ize poslat uzivateli pro dodelani,

2. tab editor
Co dodelat:

- pridat klicove slovo pro konfiguraci testu, povinna pauza napr po 10 nebo k obrazovkach + definovat cisla obrazovek (zahrivacich) po obnoveni.
